package main

import (
	"database/sql"
	"fmt"
)

func connect() {
	var e error
	db, e = sql.Open("postgres", fmt.Sprintf("host=%s port=%s user=%s password=%s dbname=%s sslmode=disable", cfg.PgHost, cfg.PgPort, cfg.PgUser, cfg.PgPass, cfg.PgBase))
	if e != nil {
		panic("Не удалось подключиться к базе данных. " + e.Error())
	}
}

type user struct {
	Phone    string `json:"Login"`
	Password string `json:"Password"`
	Name     string `json:"Name"`
	Role     string `json:"Role"`
}
